import Taro from "@tarojs/taro";
import classnames from "classnames";

import { Component, PropsWithChildren, useEffect, useState } from "react";
import { Block, View, Text, Image, Input, Button } from "@tarojs/components";
import Navbar from "@/components/navbar/navbar";
import "./face_report_AllDevice.less";

export default class Index extends Component<any, any> {
  constructor(props) {
    super(props);
    this.state = {
      name: "页面待开发",
    };
  }

  async onLoad() {}
  componentDidMount() {}

  componentWillUnmount() {}

  componentDidShow() {}

  componentDidHide() {}

  async initData() {}
  customBack = () => {
    Taro.navigateBack();
  };
  render() {
    let { name } = this.state;
    return (
      <Block>
         <Navbar
          titleSlot="待开发页面"
          isBack
          isCustomBack
          customBack={this.customBack}
        />
        <View>{name}</View>
      </Block>
    );
  }
}
